#ifndef _GRAT_H_
#define _GRAT_H_

#include"tablero.h"
#include"barra.h"

int grat_x=400;
int grat_y=180;

int last=-1;


void grat(int cual)
{
     if(cual==0 && grat_y>150)
     {
         grat_y--;
         if(last==PERFECTO)
             textprintf_ex(buffer, font, grat_x, grat_y, makecol(0,240-((180-grat_y)*8),0), -1, "COOL");
         if(last==EXCELENTE)
             textprintf_ex(buffer, font, grat_x, grat_y, makecol(0,120-((180-grat_y)*4),0), -1, "GOOD");
         if(last==ERRADO)
             textprintf_ex(buffer, font, grat_x,grat_y, makecol(240-((180-grat_y)*8),0,0), -1, "MISS");
     }

     else if(cual!=0)
     {
         grat_y=180;
         last=cual;      
     }
}
         
         





#endif
